Bug 1470987 - discovery settings are named differently in hammer than in UI
Summary: discovery settings are named differently in hammer than in UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Released
Assignee: Anurag Patel
QA Contact: Nikhil Kathole
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-14 08:32 UTC by Sachin Ghai
Modified: 2019-10-07 17:13 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:30 UTC
Foreman Issue Tracker 20360 None None None 2017-07-20 13:06:32 UTC

Description Sachin Ghai 2017-07-14 08:32:26 UTC
Description of problem: 

In 6.3 snap6 UI, I see following two settings:

1. Hostname_facts
2. Hostname_prefix

However, in CLI hammer same settings are named as:

1. discovery_hostname
2. discovery_prefix


I think all settings names in hammer should be consistent w/ UI

Version-Release number of selected component (if applicable):
sat6.3 snap6

How reproducible:
always

Steps to Reproduce:
1.  hammer settings list | grep discovery
2.
3.

Actual results:
mismatch in discovery settings names in UI and hammer

Expected results:
for consistency, name should be same at both places ( UI and CLI)

Additional info:

Comment 3 Sachin Ghai 2017-07-20 08:34:47 UTC
I would prefer to have the fix in 6.3 only. This may create a usability issue as same settings are named differently at UI and CLI.

Comment 11 pm-sat@redhat.com 2017-07-20 14:15:58 UTC
Upstream bug assigned to orabin@redhat.com

Comment 12 Sachin Ghai 2017-08-08 08:13:49 UTC
@Brad, I would like to stick w/ the bz.

Comment 13 Lukas Zapletal 2018-05-29 14:21:35 UTC
After another look, I believe this should be fixed in hammer core.

Comment 14 pm-sat@redhat.com 2018-06-21 10:23:08 UTC
Upstream bug assigned to apatel@redhat.com

Comment 15 Adam Ruzicka 2018-07-03 10:04:58 UTC
Just setting the devel_triaged flag as we seem to be keeping the BZ and fix is in the works in upstream.

Comment 16 pm-sat@redhat.com 2018-07-03 14:22:49 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20360 has been resolved.

Comment 19 Nikhil Kathole 2018-12-14 07:50:12 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 7

CLI now provides the FULL NAME column which helps to find settings as per UI name.

# hammer settings list | grep 'Hostname prefix'
discovery_prefix                                       | Hostname prefix                                             | mac                                                                              | The default prefix to use for the host name, must start with a letter           

# hammer settings list | grep 'Hostname facts'
discovery_hostname                                     | Hostname facts                                              | discovery_bootif                                                                 | List of facts to use for the hostname (separated by comma, first wins)

Comment 22 errata-xmlrpc 2019-05-14 12:36:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.